_: {
  services.navidrome = {
    enable = true;

    # ideally i would be able to specify values from a file so i can use secrets,
    # but i cant. oh well
    settings = {
      Address = "0.0.0.0";
      Port = 4533;

      BaseUrl = "https://aux.min.rip";
      MusicFolder = "/terra/terrarium/Media/Music"; # TODO: hardcoding

      EnableInsightsCollector = false;
      # EnableExternalServices = false;

      EnableTranscodingConfig = false;

      EnableSharing = true;

      ListenBrainz.Enabled = true;
      ListenBrainz.BaseURL = "https://fm.min.rip/apis/listenbrainz/1/";

      DefaultTheme = "Catppuccin Macchiato";
      UIWelcomeMessage = "hiiii";
    };
  };

  # allow access to network shares
  systemd.services.navidrome = {
    serviceConfig.SupplementaryGroups = ["share"];
  };
}
