{inputs, ...}: {
  system = "x86_64-linux";

  extraArgs = {};

  deployment = {
    host = "eidola.int.min.rip";
    user = "root";
    port = 22;

    buildOnTarget = false;
  };

  modules = [
    inputs.sops-nix.nixosModules.sops
    inputs.disko.nixosModules.disko
    inputs.impermanence.nixosModules.impermanence
    ./configuration.nix
  ];
}
