_: let
  httpIntAddr = "10.13.1.1";
  httpIntPort = 4533;
  dom = "aux.min.rip";
in {
  services.nginx.virtualHosts.${dom} = {
    forceSSL = true;
    enableACME = true;

    locations."/" = {
      proxyPass = "http://${httpIntAddr}:${toString httpIntPort}";
      proxyWebsockets = true;
    };
  };
}
